org.eclipse.cdt.core

## Interface IAddressFactory2

All Superinterfaces:
  IAddressFactory

All Known Implementing Classes:
  Addr32Factory, Addr64Factory

    public interface IAddressFactory2
    extends IAddressFactory

An extension of IAddressFactory that supports throwing an exception rather than truncating the initialization value if the value is outside the range supported by the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`IAddress` `createAddress(BigInteger addr, boolean truncate)` See `IAddressFactory.createAddress(BigInteger)`.
`IAddress` `createAddress(String addr, boolean truncate)` See `IAddressFactory.createAddress(String)`.
`IAddress` `createAddress(String addr, int radix, boolean truncate)` See `IAddressFactory.createAddress(String, int)`.

### Methods inherited from interface org.eclipse.cdt.core.IAddressFactory

`createAddress, createAddress, createAddress, getMax, getZero`

### Method Detail

#### createAddress

    IAddress createAddress(String addr,
                           boolean truncate)

See `IAddressFactory.createAddress(String)`. Same contract except that the constructor will throw a NumberFormatException if the supplied initializer value is out of range (when 'truncate' is false). IAddressFactory methods implicitly truncate if the value is out of range.

#### createAddress

    IAddress createAddress(String addr,
                           int radix,
                           boolean truncate)

See `IAddressFactory.createAddress(String, int)`. Same contract except that the constructor will throw a NumberFormatException if the supplied initializer value is out of range (when 'truncate' is false). IAddressFactory methods implicitly truncate if the value is out of range.

#### createAddress

    IAddress createAddress(BigInteger addr,
                           boolean truncate)

See `IAddressFactory.createAddress(BigInteger)`. Same contract except that the constructor will throw a NumberFormatException if the supplied initializer value is out of range (when 'truncate' is false). IAddressFactory methods implicitly truncate if the value is out of range.